package pro.shushi.pamirs.demo.core.session;

import org.springframework.stereotype.Component;
import pro.shushi.pamirs.demo.api.model.PetCompany;
import pro.shushi.pamirs.meta.api.core.session.SessionClearApi;
import pro.shushi.pamirs.user.api.model.PamirsUser;

@Component
public class DemoSessionHolder implements DemoSessionApi, SessionClearApi {

    @Override
    public PamirsUser getUser() {
        return DemoSessionCache.getUser();
    }

    @Override
    public PetCompany getCompany() {
        return DemoSessionCache.getCompany();
    }

    @Override
    public void clear() {
        DemoSessionCache.clear();
    }

}
